package com.ruoyi.bst.gatewayDevice.domain;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import lombok.Data;

@Data
public class GatewayDeviceVO extends GatewayDevice {
    
    // 网关ID
    private Long gatewayId;
    // 网关最近在线时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime gatewayLastOnlineTime;
    // 网关在线状态
    private String gatewayOnlineStatus;

    // 设备ID
    private Long deviceId;
    // 设备类型
    private String deviceType;

}
